# wxRibbonButtonBarEvent Class Reference
[Events, Ribbon User Interface]

`#include </home/work/projects/wx/2.9/wx/interface/wx/ribbon/buttonbar.h>`

Inheritance diagram for wxRibbonButtonBarEvent:
[legend]

## Detailed Description

Event used to indicate various actions relating to a button on a wxRibbonButtonBar.

For toggle buttons, IsChecked() can be used to test the state of the button.

See wxRibbonButtonBar for available event types.

##

Library: wxRibbon
Category: Events, Ribbon User Interface

See also:
  wxRibbonBar

## Public Member Functions

| wxRibbonButtonBarEvent (wxEventType command_type=wxEVT_NULL, int win_id=0, wxRibbonButtonBar *bar=NULL)
| Constructor.
wxRibbonButtonBar * | GetBar ()
| Returns the bar which contains the button which the event relates to.
void | SetBar (wxRibbonButtonBar *bar)
| Sets the button bar relating to this event.
bool | PopupMenu (wxMenu *menu)
| Display a popup menu as a result of this (dropdown clicked) event.

List of all members.

## Constructor & Destructor Documentation

wxRibbonButtonBarEvent::wxRibbonButtonBarEvent | ( | wxEventType | command_type = `wxEVT_NULL`,
|  | int | win_id = `0`,
|  | wxRibbonButtonBar * | bar = `NULL` |
| ) |  |  |

Constructor.

## Member Function Documentation

wxRibbonButtonBar* wxRibbonButtonBarEvent::GetBar | ( |  | ) |

Returns the bar which contains the button which the event relates to.

bool wxRibbonButtonBarEvent::PopupMenu | ( | wxMenu * | menu | ) |

Display a popup menu as a result of this (dropdown clicked) event.

void wxRibbonButtonBarEvent::SetBar | ( | wxRibbonButtonBar * | bar | ) |

Sets the button bar relating to this event.

|  | [ top ]